# -*- encoding : utf-8 -*-
class DonateTransactionsMails < ActionMailer::Base
  layout 'mail2'
  
  default from: "Jipe <contact@jipe.fr>"


  def general(lang_slug, partial, donate_transaction, options = {})
    @options = options
    
    @partial = partial
    @donator_transaction = donate_transaction
    @lang_slug = @donator_transaction.lang_site.slug
    @email = @donator_transaction.particular_bill.email
    if @donator_transaction.lang_site_id == 2
      @title = "Thank you for your donation!"
    else
      @title = "Merci pour votre don."
    end
    mail(:to => @email, :subject => @title)
  end

  
  
  
end
